<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">



 <xsd:element name="phonebook">

  <xsd:complexType>

   <xsd:sequence>

    <xsd:element name="person" type="person" minOccurs="0" maxOccurs="unbounded"/>

   </xsd:sequence>

  </xsd:complexType>

 </xsd:element>



 <!-- Local element.  -->

 <xsd:complexType name="person">

   <xsd:sequence>

     <xsd:element name="name" type="xsd:string"/>

     <xsd:element name="phone" type="xsd:string"/>

   </xsd:sequence>

 </xsd:complexType>



</xsd:schema>

